<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="60dp">

    <com.adealink.weparty.commonui.imageview.AvatarView
        android:id="@+id/iv_avatar"
        android:layout_width="40dp"
        android:layout_height="40dp"
        android:layout_marginStart="16dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:roundingBorderColor="@color/white"
        app:roundingBorderWidth="1dp" />

    <com.adealink.weparty.commonui.ripple.RippleView
        android:id="@+id/v_online"
        style="@style/CommonOnlineRipple"
        android:layout_width="48dp"
        android:layout_height="48dp"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="@id/iv_avatar"
        app:layout_constraintEnd_toEndOf="@id/iv_avatar"
        app:layout_constraintStart_toStartOf="@id/iv_avatar"
        app:layout_constraintTop_toTopOf="@id/iv_avatar"
        app:ripple_circle_min_radius="20dp"
        tools:visibility="visible" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_user_name"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="12dp"
        android:ellipsize="end"
        android:fontFamily="@font/poppins_semibold"
        android:includeFontPadding="false"
        android:singleLine="true"
        android:textColor="@color/color_FF1D2129"
        android:textSize="14sp"
        app:layout_constrainedWidth="true"
        app:layout_constraintBottom_toTopOf="@id/v_new"
        app:layout_constraintEnd_toStartOf="@id/v_gender"
        app:layout_constraintHorizontal_bias="0"
        app:layout_constraintHorizontal_chainStyle="packed"
        app:layout_constraintStart_toEndOf="@id/iv_avatar"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_chainStyle="packed"
        tools:text="Super Beautiful Girl" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/v_new"
        android:layout_width="wrap_content"
        android:layout_height="15dp"
        android:layout_marginTop="4dp"
        android:background="@drawable/common_new_tag_bg"
        android:gravity="center_vertical"
        android:includeFontPadding="false"
        android:paddingHorizontal="6dp"
        android:text="@string/common_new"
        android:textColor="@color/white"
        android:textSize="11sp"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="@id/tv_user_name"
        app:layout_constraintTop_toBottomOf="@id/tv_user_name"
        tools:visibility="visible" />

    <com.adealink.weparty.module.profile.widget.GenderView
        android:id="@+id/v_gender"
        style="@style/CommonGenderView"
        android:layout_marginStart="4dp"
        android:layout_marginEnd="4dp"
        app:layout_constraintBottom_toBottomOf="@id/tv_user_name"
        app:layout_constraintEnd_toStartOf="@id/right_barrier"
        app:layout_constraintStart_toEndOf="@id/tv_user_name"
        app:layout_constraintTop_toTopOf="@id/tv_user_name" />

    <androidx.constraintlayout.widget.Barrier
        android:id="@+id/right_barrier"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:barrierDirection="start"
        app:constraint_referenced_ids="btn_chat" />

    <com.adealink.weparty.commonui.widget.CommonButton
        android:id="@+id/btn_chat"
        android:layout_width="wrap_content"
        android:layout_height="22dp"
        android:layout_marginEnd="16dp"
        android:gravity="center"
        android:includeFontPadding="false"
        android:minWidth="56dp"
        android:paddingHorizontal="6dp"
        android:textColor="@color/color_FF86909C"
        android:textSize="11sp"
        app:common_button_type="business_open"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:text="@string/common_chat"
        app:textColor="@color/white"
        app:textSize="12sp" />

</androidx.constraintlayout.widget.ConstraintLayout>